exports.path = "/product/:id"
exports.title = "Test Title"
exports.Test = {
    id: {type: 'integer'}
}
exports.get = {
    schema: {
        request: {id: {type: 'integer'}},//ignore input define,got from router
        response: {
            value: {
                ref: 'common#Product',
            }
        }
    },
    action: function (req, resp) {
        console.log('run action!!')
        this.value = {
            id: 123,
            listingTime: 123,
            name: "Name of the product\n...",
            provider: {
                //ref:"common#ProductProvider"
                id: 1232222,
                name: "Name of the product provier\n...",
                displayName: "displayName",
                tel: "1234",
                listingTime: 123,
                email: "jindw@xxx.com"
            },
            price: 1.25
        }
        //return '/test.xhtml'
    }
}
exports.post = {
    schema: {
        request: {
            id: {
                optional: true,
                type: 'integer'
            },
            value: {
                optional: true,
                ref: 'common#Product',
            }
        },
        response: {
            id: {type: 'integer'},
            msg: {type: 'string'}
        }
    },
    action: function*(req, resp) {
        //TODO:..
        console.log(req.body.then)
        this.id = 123
        this.msg = req.body + '/' + JSON.stringify(yield req.value)
    }
}