/*
 var oldPromise = Promise
 function wrap(fn){
 return fn && function(){
 try{
 fn.apply(this,arguments);
 }catch(e){
 console.log(e)
 throw e;
 }
 }
 }
 var proto = Promise.prototype
 var oldThen = proto['then'];
 var oldCatch = proto['catch'];
 proto['catch'] = function(fn){
 return oldCatch.call(this,wrap(fn))
 }
 proto.then = function(fn,fn2){
 fn = wrap(fn)
 fn2 = wrap(fn2)
 return  oldThen.apply(this,arguments)
 }
 Promise = function(init){
 var impl= new oldPromise(wrap(init))
 return impl;
 }

 Promise.reject = oldPromise.reject;
 Promise.resolve = oldPromise.resolve;

 //*/


var path = require('path');
var schemaDir = path.join(__dirname, './schema/');
var webroot = path.join(__dirname, './webroot/');

var WP = require('wwpp');
var wp = new WP(schemaDir, webroot);
wp.rootApp.intercept(function*(req, resp, next) {
            try {
                return yield next();
            } catch (e) {
                let errorMessage = e.message;
                let errorCode = e.code || 500;
                let stack = e.stack;
                resp.writeHead(200, {'Content-Type': 'application/json;charset=utf-8'});
                resp.end(JSON.stringify({errorCode, stack,errorMessage}));
            }
        });

wp.rootApp.start()

